import Vue from "vue";
import Router from "vue-router";

// 解决重复点菜单报错问题
const originalPush = Router.prototype.push;
Router.prototype.push = function push(location) {
  return originalPush.call(this, location).catch(err => err);
};
Vue.use(Router);

export default new Router({
  routes: [
    { path: "/", redirect: "/demo" },
    {
      path: "/index",
      component: () => import("../pages/home/layouts/homeLayout.vue"),
      children: [
        {
          name: "demo",
          path: "/demo",
          component: () => import("../pages/home/components/demo.vue")
        },
      ]
    }
  ]
});
